Status: Closed

Priority: Normal

Assignee: Olivier Dalang

Category: Processing/Modeller

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27604
Description

Hi !

The QGIS "Sample raster values" algorithm works well normally, but throws an exception upon clicking "Ok" after setting the algorithm

parameters).

TypeError: argument of type 'WidgetType' is not iterable
Traceback (most recent call last):

File "C:/OSGEQO4~1/apps/qgis-dev/./python/plugins\processing\modeler\ModelerParametersDialog.py", line 375, in okPressed

alg = self.createAlgorithm()

File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\modeler\ModelerParametersDialog.py", line 318, in createAlgorithm

val = self.wrappers[param.name()].value()
File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\gui\wrappers.py", line 1292, in value
if self.dialogType in DIALOG_STANDARD:
TypeError: argument of type 'WidgetType' is not iterable

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)]
QGIS version: 3.3.0-Master Master, 2041cad0c0

Associated revisions

Revision 1¢5250b1 - 2018-09-08 09:51 AM - Nyall Dawson

[processing] Fix some exceptions in batch dialog after refactoring

Fixes #19779, #19786

History

#1 - 2018-09-08 09:51 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|1c5250b147edc1b4ad845884c0f4249ec5a99b43.

#2 - 2018-09-08 11:09 AM - Giovanni Manghi

- Resolution set to fixed/implemented
